Nimbu Developer Docs
ReferenceSenders

Retrieve a sender domain

GET
/senders/{id}

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

id*string

Sender domain identifier

Response Body

application/json

curl -X GET "https://example.com/senders/string"
{
  "id": "string",
  "domain": "string",
  "provider": "string",
  "status": "string",
  "ownership_verified": true,
  "ownership_verified_at": "2019-08-24T14:15:22Z",
  "verified_at": "2019-08-24T14:15:22Z",
  "last_check_at": "2019-08-24T14:15:22Z",
  "last_check_error": "string",
  "expected_txt_record": "string",
  "dns_records": [
    {}
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
Empty